%define	name	cdrecord
%define	basever	1.8
%define	alpha	a29
%define	version	%{basever}%{alpha}
%define	release	2
%define	serial	2
%define	prefix	/usr

Summary: A command line CD/DVD recording program
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	GPL
Group: Applications/Archiving
URL:		http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source:		ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/%{name}-%{basever}%{alpha}.tar.gz
Patch0: cdrecord-1.8-redhat.patch
BuildRoot:	/var/tmp/%{name}-%{version}

%description
Cdrecord allows you to create CDs on a CD-Recorder (SCSI/ATAPI).
Supports data, audio, mixed, multi-session and CD+ discs etc.

%package	devel
Summary: The libschily SCSI user level transport library
Group: Development/Libraries
Requires:	%{name} = %{serial}:%{version}

%description	devel
The cdrecord distribution contains a SCSI user level transport
library.  The SCSI library is suitable to talk to any SCSI device
without having a special driver for it.

Cdrecord may be easily ported to any system that has a SCSI device
driver similar to the scg driver.

%prep
%setup -q -n %{name}-%{basever}
%patch0 -p1 -b .redhat

%build
./Gmake.linux

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
./Gmake.linux "INS_BASE=$RPM_BUILD_ROOT%{prefix}" install

# Installing Header files for use with devel package
rm include/scg

install -d $RPM_BUILD_ROOT%{prefix}/include/schily/scg
install -m 644 include/* $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 incs/*/xconfig.h $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 libscg/scg/* $RPM_BUILD_ROOT%{prefix}/include/schily/scg

## Preparing doc files for RPM

# cdrecord
mkdir cdrecord-rpmdocs
{
  pushd doc
  groff -Tps -man cdrecord.man > cdrecord.ps
  popd
}
cp AN-%{version} doc/cdrecord.ps Changelog README* Linux.scsi-patch \
   cdrecord/cdrecord.dfl cdrecord-rpmdocs
chmod 644 cdrecord-rpmdocs/*

mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT/etc/cdrecord.conf

# mkisofs
mkdir mkisofs-rpmdocs
cp AN-%{version} mkisofs-1.12b5/COPYING mkisofs-1.12b5/ChangeLog \
   mkisofs-1.12b5/README* \
   mkisofs-rpmdocs
chmod 644 mkisofs-rpmdocs/*

strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc cdrecord-rpmdocs/*
%doc mkisofs-rpmdocs/README.*
%config /etc/cdrecord.conf
%{prefix}/bin/cdrecord
%{prefix}/bin/readcd
%{prefix}/man/man1/cdrecord.1
%{prefix}/bin/devdump
%{prefix}/bin/isoinfo
%{prefix}/bin/isodump
%{prefix}/bin/isovfy
%{prefix}/man/man8/isoinfo.8

%files	devel
%defattr(-,root,root)
%{prefix}/lib/libdeflt.a
%{prefix}/lib/libscg.a
%{prefix}/lib/libschily.a
%{prefix}/include/schily

%changelog
* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- require serial:version

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- a29

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Sep 06 1999 Cristian Gafton <gafton@redhat.com>
- move config file to a sane place (/etc/cdrecord.conf)

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- 1.8a25

* Mon Aug 23 1999 Cristian Gafton <gafton@redhat.com>
- removed the mkisofs subpackage - we have mkisofs provided by 
  a'nother package (doh!)
- moved former mkisofs diagnostic binaries to the main package
- get rod of the cdda2wav too; cdparanoia is now in the distribution and
  it is a whole lot better too

* Fri Aug 20 1999 Preston Brown <pbrown@redhat.com>
- adopted for Red Hat Linux 6.1 from Ryan Weaver.
